curl --request POST \
--url https://api.cloudglue.dev/v1/deepSearch/{id}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/deepSearch/{id}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/deepSearch/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "deep_search",
"status": "in_progress",
"created_at": 123,
"query": "<string>",
"scope": "segment",
"text": "<string>",
"results": [
{
"type": "segment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"score": 123,
"context": "<string>",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": 123,
"end_time": 123,
"title": "<string>",
"filename": "<string>",
"thumbnail_url": "<string>",
"metadata": {},
"summary": "<string>",
"generated_title": "<string>"
}
],
"total": 123,
"limit": 123,
"search_queries": [
{
"query": "<string>",
"search_modalities": [
"<string>"
],
"scope": "<string>",
"filter": {},
"result_count": 123
}
],
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123,
"search_calls": 123
},
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Cancel Deep Search
Cancel a background deep search that is in progress. If the deep search is already completed, failed, or cancelled, this returns the deep search as-is.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the deep search to cancel
Response
Deep search cancelled or current status returned
Deep search ID
Object type identifier
deep_search Current status of the deep search
in_progress, completed, failed, cancelled Unix timestamp of when the deep search was created
The original search query
The scope the caller requested. Null when the request omitted scope (auto: the planner chose scopes per search plan, so results may mix segment and file types).
segment, file LLM-generated synthesis text summarizing the results
Array of search results
Show child attributes
Show child attributes
Total number of results
Maximum number of results requested
Intermediate search query plans (included when requested via include=['search_queries'])
Show child attributes
Show child attributes
Token and search call usage
Show child attributes
Show child attributes
Error details if the deep search failed
Show child attributes
Show child attributes